<?php

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;

class PublicRpcService extends AbstractServiceClient implements PublicRpcServiceInterface
{
    /**
     * 定义对应服务提供者的服务名称
     * @var string
     */
    protected string $serviceName = 'PublicRpcService';
    /**
     * 定义对应服务提供者的服务协议
     * @var string
     */
    protected string $protocol = 'jsonrpc-http';

    /**
     * @param array $data
     * @return mixed
     */
    public function getDistrictList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function getUserLevelList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * 添加等级
     * @param array $data
     * @return array
     */
    public function addUserLevel(array $data){
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * 删除等级
     * @param array $data
     * @return array
     */
    public function delUserLevel(array $data){
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * 更新等级
     * @param array $data
     * @return array
     */
    public function updateUserLevel(array $data){
        return $this->__request(__FUNCTION__, $data);
    }
}